$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
//    $(".tbody").on("blur", '.flagqty', autoAddRows);
    $("body").on("keyup focus blur", '.taka, .qty, .totqty, .flag, .flagqty, .actqty', itemCal);
    $("body").on("keyup focus blur", '.quality, .shade, .yarn', createItem);
    $("body").on("change", ".brand", gethsn);
    
    function gethsn(){
        var brand = $('.brand').val();
        $.post('gethsn.php',{brand: brand},function(data){
            $('.hsncode').val(data.hsn);
            $('.gstperc').val(data.gst);
        },'json');
    }

    $('#addnew').click(function () {
        AddRows();
    });

    function createItem() {
        var quality = $(".quality").val(),
                shade = $(".shade").val(),
                yarn = $(".yarn").val();

        var mitem = quality + "(" + yarn + ")-" + shade;
        $(".item").val(mitem);
    }


//    function autoAddRows() {
//        var ctr = $('#items').val();
//        var tr = $(this).closest("tr");
//        var srno = tr.find(".srno").val();
//        if (srno == ctr) {
//            AddRows();
//        }
//    }

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr     = $('#items').val();
        var rgodown = "rgodown_"+ (ctr - 1);
        var godown  = $("."+rgodown).val();

        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".detailpart_" + ctr;
        $.post('item_add.php', {ctr: ctr, hide: hide_check, godown: godown}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    function itemCal() {
        var tr = $(this).closest("tr");
        var flag = tr.find(".flag").val();
        var qty = tr.find(".qty").val();
        var taka = tr.find(".taka").val();
        var totqty = qty * taka;
        tr.find(".totqty").val(totqty);
        var flagqty1 = flag * 0.10;
        var flagqty = flagqty1.toFixed(2);

        var aqty = totqty - flagqty;
        var aqty1 = aqty.toFixed(2);

        tr.find(".flagqty").val(flagqty);
        tr.find(".actqty").val(aqty1);

//        var mflagqty    = tr.find(".flagqty").val();
//        var qty         = tr.find(".qty").val();
//        var actqty      = mflagqty - qty;
//        tr.find(".actqty").val(actqty);
    }

});